JEMonitor (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je.jmx

## Class JEMonitor

- java.lang.Object
- - com.sleepycat.je.jmx.JEMBean
  - - com.sleepycat.je.jmx.JEMonitor

- All Implemented Interfaces:
    com.sleepycat.je.dbi.EnvironmentImpl.MBeanRegistrar, DynamicMBean

      public class JEMonitor
      extends JEMBean
      implements DynamicMBean

  JEMonitor is a JMX MBean which makes statistics and basic administrative operations available. The MBean is registered and enabled when the system property JEMonitor is set. It only works on an active JE Environment, and an Environment can only register one instance of JEMonitor.

  See Also:
    Monitoring JE with JConsole and JMX

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATT_CACHE_PERCENT`
    `static String` | `ATT_CACHE_SIZE`
    `static String` | `ATT_ENV_HOME`
    `static String` | `ATT_IS_READ_ONLY`
    `static String` | `ATT_IS_SERIALIZABLE`
    `static String` | `ATT_IS_TRANSACTIONAL`
    `static String` | `ATT_LOCK_TIMEOUT`
    `static String` | `ATT_TXN_TIMEOUT`

    - ### Fields inherited from class com.sleepycat.je.jmx.JEMBean

      `className, currentClass, DESCRIPTION, env, jeName, operationList, server, statParams`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `JEMonitor()`
    `protected` | `JEMonitor(Environment env)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addOperations()` Add MBean operations into the list.
    `protected void` | `doRegisterMBean(Environment env)`
    `Object` | `getAttribute(String attributeName)`
    `protected MBeanAttributeInfo[]` | `getAttributeList()` Get attribute metadata for this MBean.
    `AttributeList` | `getAttributes(String[] attributes)`
    `protected void` | `initClassFields()`
    `Object` | `invoke(String actionName, Object[] params, String[] signature)`
    `void` | `setAttribute(Attribute attribute)`
    `AttributeList` | `setAttributes(AttributeList attributes)`

    - ### Methods inherited from class com.sleepycat.je.jmx.JEMBean

      `doRegister, doUnregister, getConstructors, getMBeanInfo, getNotificationInfo, getStatsConfig, resetMBeanInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.management.DynamicMBean

      `getMBeanInfo`

- - ### Field Detail

    - #### ATT_ENV_HOME

          public static final String ATT_ENV_HOME

      See Also:
        Constant Field Values

    - #### ATT_IS_READ_ONLY

          public static final String ATT_IS_READ_ONLY

      See Also:
        Constant Field Values

    - #### ATT_IS_TRANSACTIONAL

          public static final String ATT_IS_TRANSACTIONAL

      See Also:
        Constant Field Values

    - #### ATT_CACHE_SIZE

          public static final String ATT_CACHE_SIZE

      See Also:
        Constant Field Values

    - #### ATT_CACHE_PERCENT

          public static final String ATT_CACHE_PERCENT

      See Also:
        Constant Field Values

    - #### ATT_LOCK_TIMEOUT

          public static final String ATT_LOCK_TIMEOUT

      See Also:
        Constant Field Values

    - #### ATT_IS_SERIALIZABLE

          public static final String ATT_IS_SERIALIZABLE

      See Also:
        Constant Field Values

    - #### ATT_TXN_TIMEOUT

          public static final String ATT_TXN_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JEMonitor

          protected JEMonitor(Environment env)

    - #### JEMonitor

          public JEMonitor()

  - ### Method Detail

    - #### initClassFields

          protected void initClassFields()

      Specified by:
        `initClassFields` in class `JEMBean`

    - #### getAttribute

          public Object getAttribute(String attributeName)
                              throws AttributeNotFoundException,
                                     MBeanException

      Specified by:
        `getAttribute` in interface `DynamicMBean`
      Throws:
        `AttributeNotFoundException`
        `MBeanException`
      See Also:
        `DynamicMBean.getAttribute(java.lang.String)`

    - #### setAttribute

          public void setAttribute(Attribute attribute)
                            throws AttributeNotFoundException,
                                   InvalidAttributeValueException,
                                   MBeanException

      Specified by:
        `setAttribute` in interface `DynamicMBean`
      Throws:
        `AttributeNotFoundException`
        `InvalidAttributeValueException`
        `MBeanException`
      See Also:
        `DynamicMBean.setAttribute(javax.management.Attribute)`

    - #### getAttributes

          public AttributeList getAttributes(String[] attributes)

      Specified by:
        `getAttributes` in interface `DynamicMBean`
      See Also:
        `DynamicMBean.getAttributes(java.lang.String[])`

    - #### setAttributes

          public AttributeList setAttributes(AttributeList attributes)

      Specified by:
        `setAttributes` in interface `DynamicMBean`
      See Also:
        `DynamicMBean.setAttributes(javax.management.AttributeList)`

    - #### invoke

          public Object invoke(String actionName,
                      Object[] params,
                      String[] signature)
                        throws MBeanException

      Specified by:
        `invoke` in interface `DynamicMBean`
      Throws:
        `MBeanException`
      See Also:
        `DynamicMBean.invoke(java.lang.String, java.lang.Object[], java.lang.String[])`

    - #### doRegisterMBean

          protected void doRegisterMBean(Environment env)
                                  throws Exception

      Specified by:
        `doRegisterMBean` in class `JEMBean`
      Throws:
        `Exception`

    - #### getAttributeList

          protected MBeanAttributeInfo[] getAttributeList()

      Description copied from class: `JEMBean`
      Get attribute metadata for this MBean.
      Specified by:
        `getAttributeList` in class `JEMBean`
      Returns:
        array of MBeanAttributeInfo objects describing the available attributes.

    - #### addOperations

          protected void addOperations()

      Description copied from class: `JEMBean`
      Add MBean operations into the list.
      Specified by:
        `addOperations` in class `JEMBean`

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.